<script setup lang="ts">
import { computed, onMounted, reactive, watch } from 'vue'
import { nextTick, ref } from 'vue'
import type { VForm } from 'vuetify/components'

type status = 'Available' | 'Low' | 'Out of Stock'
type Material = {
  id: number
  name: string
  status: string
  min: number
  balance: number
  newbalance: number
  unit: string
}
const dialog = ref(false)
const form = ref(false)
const loading = ref(false)
const dialogDelete = ref(false)
const dialogEdit = ref(false)
const dialogEditCheck = ref(false)
const dialogEditImport = ref(false)
const dialogCheckMaterial = ref(false)
const dialogImporMaterial = ref(false)
const dialogCheckAvaMaterial = ref(false)
const dialogCheckLowMaterial = ref(false)
const dialogCheckOutMaterial = ref(false)

const refForm = ref<VForm | null>(null)
const totalMaterials = computed(() => material.value.length)
const totalAvailableMaterials = computed(() => {
  return combinedMaterials.value.filter((item) => item.status === 'Available').length
})
const totalLowMaterials = computed(() => {
  return combinedMaterials.value.filter((item) => item.status === 'Low').length
})
const totalOutMaterials = computed(() => {
  return combinedMaterials.value.filter((item) => item.status === 'Out of Stock').length
})
let lastId = 13
const initilMaterial: Material = {
  id: -1,
  name: '',
  status: 'Available',
  min: 0,
  balance: 0,
  newbalance: 0,
  unit: ''
}

const editedMaterial = ref<Material>(JSON.parse(JSON.stringify(initilMaterial)))
const material = ref<Material[]>([])
const headers = [
  {
    title: 'Material ID',
    key: 'id',
    value: 'id'
  },
  {
    title: 'Material Name',
    key: 'name',
    value: 'name'
  },
  {
    title: 'Min',
    key: 'min',
    value: 'min'
  },
  {
    title: 'Balance',
    key: 'balance',
    value: 'balance'
  },
  {
    title: 'Unit',
    key: 'unit',
    value: 'unit'
  },
  {
    title: 'Status(auto)',
    key: 'status',
    value: 'status'
  },
  {
    title: 'Actions',
    key: 'actions',
    sortable: false
  }
]

const headers2 = [
  {
    title: 'Material ID',
    key: 'id',
    value: 'id'
  },
  {
    title: 'Material Name',
    key: 'name',
    value: 'name'
  },
  {
    title: 'Min',
    key: 'min',
    value: 'min'
  },
  {
    title: 'Balance',
    key: 'balance',
    value: 'balance'
  },
  {
    title: 'Unit',
    key: 'unit',
    value: 'unit'
  },
  {
    title: 'Status',
    key: 'status',
    value: 'status'
  }
]
const search = ref<string>('')
function onSubmit() {}
let editedIndex = -1

function initialize() {
  material.value = [
    {
      id: 1,
      name: 'ผงกาแฟ',
      status: 'Available',
      min: 2,
      balance: 10,
      newbalance: 0,
      unit: 'Kilogram'
    },
    {
      id: 2,
      name: 'เมล็ดกาแฟ',
      status: 'Available',
      min: 2,
      balance: 10,
      newbalance: 0,
      unit: 'Kilogram'
    },
    { id: 3, name: 'นม', status: 'Low', min: 3, balance: 2, newbalance: 0, unit: 'Liter' },
    {
      id: 4,
      name: 'มะนาว',
      status: 'Available',
      min: 2,
      balance: 0,
      newbalance: 0,
      unit: 'Kilogram'
    },
    {
      id: 5,
      name: 'นํ้าเชื่อม',
      status: 'Available',
      min: 2,
      balance: 2,
      newbalance: 0,
      unit: 'Liter'
    },
    {
      id: 6,
      name: 'ผงชาเขียว',
      status: 'Low',
      min: 3,
      balance: 2,
      newbalance: 0,
      unit: 'Kilogram'
    },
    {
      id: 7,
      name: 'ผงชา',
      status: 'Available',
      min: 2,
      balance: 2,
      newbalance: 0,
      unit: 'Kilogram'
    },
    {
      id: 8,
      name: 'แก้วพลาสติก',
      status: 'Available',
      min: 20,
      balance: 28,
      newbalance: 0,
      unit: 'piece'
    },
    {
      id: 9,
      name: 'หลอด',
      status: 'Available',
      min: 20,
      balance: 35,
      newbalance: 0,
      unit: 'piece'
    },
    {
      id: 10,
      name: 'ครีมเทียม',
      status: 'Available',
      min: 2,
      balance: 3,
      newbalance: 0,
      unit: 'Kilogram'
    },
    { id: 11, name: 'นํ้าผึ้ง', status: 'Low', min: 2, balance: 1, newbalance: 0, unit: 'Liter' },
    { id: 12, name: 'นมข้น', status: 'Available', min: 2, balance: 2, newbalance: 0, unit: 'Liter' }
  ]
}

onMounted(() => {
  initialize()
})
function closeDialog() {
  dialog.value = false
  nextTick(() => {
    editedMaterial.value = Object.assign({}, initilMaterial)
    editedIndex = -1
  })
}
function closeDialogEdit() {
  dialogEdit.value = false
  nextTick(() => {
    editedMaterial.value = Object.assign({}, initilMaterial)
    editedIndex = -1
  })
}
function closeDialogEditCheck() {
  dialogEditCheck.value = false
  nextTick(() => {
    editedMaterial.value = Object.assign({}, initilMaterial)
    editedIndex = -1
  })
}
function closeDialogEditImport() {
  dialogEditImport.value = false
  nextTick(() => {
    editedMaterial.value = Object.assign({}, initilMaterial)
    editedIndex = -1
  })
}
async function save() {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  if (editedIndex > -1) {
    // Update existing item at the same index
    const updatedItem = { ...editedMaterial.value }
    material.value.splice(editedIndex, 1, updatedItem)
    console.log('edit')
  } else {
    // Add new item with a new ID
    editedMaterial.value.id = lastId++
    material.value.push(editedMaterial.value)
    console.log('add')
  }
  closeDialog()
}

async function saveEdit() {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  if (editedIndex > -1) {
    // Update existing item at the same index
    const updatedItem = { ...editedMaterial.value }
    material.value.splice(editedIndex, 1, updatedItem)
    console.log('edit')
  }
  closeDialogEdit()
}

async function saveEditCheck() {
  const { valid } = await refForm.value!.validate()

  if (!valid) return
  if (editedIndex > -1) {
    // Update existing item at the same index
    const updatedItem = { ...editedMaterial.value }
    material.value.splice(editedIndex, 1, updatedItem)
    console.log('edit')
  }
  CheckBalance()
  closeDialogEditCheck()
}

async function saveEditImport() {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  if (editedIndex > -1) {
    // Update existing item at the same index
    const updatedItem = { ...editedMaterial.value }
    material.value.splice(editedIndex, 1, updatedItem)
    console.log('edit')
  }
  UpdateBalace()
  closeDialogEditImport()
}

const combinedMaterials = computed(() => {
  const searchTerm = search.value.toLowerCase()
  return material.value
    .map((item) => {
      let updatedStatus = ''
      if (item.balance >= item.min) {
        updatedStatus = 'Available'
      } else if (item.balance == 0) {
        updatedStatus = 'Out of Stock'
      } else if (item.balance < item.min) {
        updatedStatus = 'Low'
      }
      return { ...item, status: updatedStatus }
    })
    .filter((item) => {
      return (
        item.name.toLowerCase().includes(searchTerm) ||
        item.status.toLowerCase().includes(searchTerm)
      )
    })
})

function editItem(item: Material) {
  editedIndex = material.value.findIndex((m) => m.id === item.id)
  editedMaterial.value = reactive({ ...item })
  dialog.value = true
}
function edit(item: Material) {
  editedIndex = material.value.findIndex((m) => m.id === item.id)
  editedMaterial.value = reactive({ ...item })
  dialogEdit.value = true
}
function CheckItem(item: Material) {
  editedIndex = material.value.findIndex((m) => m.id === item.id)
  editedMaterial.value = reactive({ ...item })
  dialogEditCheck.value = true
}
function ImportItem(item: Material) {
  editedIndex = material.value.findIndex((m) => m.id === item.id)
  editedMaterial.value = reactive({ ...item })
  dialogEditImport.value = true
}
function closeDelete() {
  dialogDelete.value = false
  nextTick(() => {
    editedMaterial.value = Object.assign({}, initilMaterial)
  })
}
function deleteItemConfirm() {
  material.value.splice(editedIndex, 1)
  closeDelete()
}
function deleteItem(item: Material) {
  editedIndex = material.value.indexOf(item)
  editedMaterial.value = reactive({ ...item })
  dialogDelete.value = true
}
function openCheckMaterialDialog() {
  dialogCheckMaterial.value = true
}
function closeCheckMaterialDialog() {
  dialogCheckMaterial.value = false
}
function openImporMaterialDialog() {
  dialogImporMaterial.value = true
}
function closeImporMaterialDialog() {
  dialogImporMaterial.value = false
}

// Check Status
const availableMaterials = computed(() => {
  return combinedMaterials.value.filter((item) => item.status === 'Available')
})
const lowMaterials = computed(() => {
  return combinedMaterials.value.filter((item) => item.status === 'Low')
})
const outMaterials = computed(() => {
  return combinedMaterials.value.filter((item) => item.status === 'Out of Stock')
})

function openCheckAvaMaterialDialog() {
  dialogCheckAvaMaterial.value = true
}
function closeCheckAvaMaterialDialog() {
  dialogCheckAvaMaterial.value = false
}

function openCheckLowMaterialDialog() {
  dialogCheckLowMaterial.value = true
}
function closeCheckLowMaterialDialog() {
  dialogCheckLowMaterial.value = false
}

function openCheckOutMaterialDialog() {
  dialogCheckOutMaterial.value = true
}
function closeCheckOutMaterialDialog() {
  dialogCheckOutMaterial.value = false
}

function UpdateBalace() {
  dialogEditImport.value = false
  nextTick(() => {
    if (editedIndex > -1) {
      const matIm = material.value[editedIndex].newbalance
      if (typeof matIm === 'string') {
        const matImNum = parseInt(matIm)
        material.value[editedIndex].balance = matImNum + material.value[editedIndex].balance
        material.value[editedIndex].newbalance = 0
        console.log('...')
      }
    }
  })
}

function CheckBalance() {
  dialogEditImport.value = false
  nextTick(() => {
    if (editedIndex > -1) {
      material.value[editedIndex].balance = material.value[editedIndex].newbalance
      console.log('...')
    }
  })
}
</script>

<template>
  <div class="app-container">
    <!-- กล่องสรุปข้อมูล -->
    <v-container>
      <v-row>
        <v-col
          ><v-card height="130px" style="background-color: #4ca8ff" class="overviewStock">
            <v-card-title>Total Product</v-card-title>
            <div style="padding-left: 30px">
              {{ totalMaterials }}
              <v-icon end icon="mdi-archive" size="60px" style="padding-left: 130px"></v-icon>
            </div> </v-card
        ></v-col>
        <v-col
          ><v-card
            height="130px"
            style="background-color: #5eb966"
            class="overviewStock"
            @click="openCheckAvaMaterialDialog"
          >
            <v-card-title>Available</v-card-title>
            <div style="padding-left: 30px">
              {{ totalAvailableMaterials }}
              <v-icon
                end
                icon="mdi-checkbox-marked-circle"
                size="60px"
                style="padding-left: 130px"
              ></v-icon>
            </div> </v-card
        ></v-col>
        <v-col
          ><v-card
            height="130px"
            style="background-color: #f4a833"
            class="overviewStock"
            @click="openCheckLowMaterialDialog"
          >
            <v-card-title>Low Stock</v-card-title>
            <div style="padding-left: 30px">
              {{ totalLowMaterials }}
              <v-icon end icon="mdi-alert" size="60px" style="padding-left: 130px"></v-icon>
            </div> </v-card
        ></v-col>
        <v-col
          ><v-card
            height="130px"
            style="background-color: #e94344"
            class="overviewStock"
            @click="openCheckOutMaterialDialog"
          >
            <v-card-title>Out of Stock</v-card-title>
            <div style="padding-left: 30px">
              {{ totalOutMaterials }}
              <v-icon end icon="mdi-close-circle" size="60px" style="padding-left: 130px"></v-icon>
            </div> </v-card
        ></v-col>
      </v-row>
    </v-container>

    <v-data-table :headers="headers" :items="combinedMaterials">
      <template v-slot:top>
        <v-toolbar style="background-color: rgb(173, 105, 53); height: auto" dark flat>
          <v-toolbar-title style="color: white">
            <v-text-field
              class="mr-4"
              prepend-inner-icon="mdi-magnify"
              v-model="search"
              label="Search"
              style="height: 60px; margin-top: 4px"
            ></v-text-field>
          </v-toolbar-title>
          <v-divider class="mr-4" inset vertical></v-divider>
          <v-spacer></v-spacer>
          <!-- Put Edited  Dialog -->
          <v-dialog v-model="dialog" persistent width="1024">
            <template v-slot:activator="{ props }">
              <v-btn
                style="background-color: white; margin-right: 16px"
                @click="openImporMaterialDialog"
              >
                Import material
              </v-btn>
              <v-btn
                style="background-color: white; margin-right: 16px"
                @click="openCheckMaterialDialog"
              >
                Check material
              </v-btn>
              <v-btn
                prepend-icon="mdi-plus"
                style="background-color: green; color: white; margin-right: 16px"
                v-bind="props"
              >
                New material
              </v-btn>
            </template>
            <v-card>
              <v-card-title>
                <span class="text-h5">Material Profile</span>
              </v-card-title>
              <v-card-text>
                <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
                  <v-container>
                    <v-row>
                      <v-col cols="12">
                        <v-text-field
                          v-model="editedMaterial.name"
                          :readonly="loading"
                          :rules="[(v) => !!v || 'Field is required']"
                          class="mb-2"
                          clearable
                          label="Name"
                        ></v-text-field>
                      </v-col>

                      <v-col cols="6" sm="6">
                        <v-text-field
                          v-model="editedMaterial.min"
                          :readonly="loading"
                          :rules="[(v) => !!v || 'Field is required']"
                          clearable
                          label="Min"
                          placeholder="Enter your min"
                        ></v-text-field>
                      </v-col>
                      <v-col cols="6" sm="6">
                        <v-text-field
                          v-model="editedMaterial.balance"
                          :readonly="loading"
                          :rules="[(v) => !!v || 'Field is required']"
                          clearable
                          label="Balance"
                          placeholder="Enter your balance"
                        ></v-text-field>
                      </v-col>
                      <v-col cols="6" sm="6">
                        <v-combobox
                          label="Unit"
                          :items="['Kilogram', 'Gram', 'Liter', 'Milliliter', 'piece']"
                          v-model="editedMaterial.unit"
                          variant="solo-filled"
                        ></v-combobox>
                      </v-col>
                    </v-row>
                  </v-container>
                </v-form>
              </v-card-text>
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="blue-darken-1" variant="text" @click="closeDialog"> Close </v-btn>
                <v-btn color="blue-darken-1" variant="text" @click="save()"> Save </v-btn>
              </v-card-actions>
            </v-card>
          </v-dialog>
          <!-- Delete Dialog -->
          <v-dialog v-model="dialogDelete" max-width="500px">
            <v-card>
              <v-card-title class="text-h5"
                >Are you sure you want to delete this item?</v-card-title
              >
              <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="blue-darken-1" variant="text" @click="closeDelete">Cancel</v-btn>
                <v-btn color="blue-darken-1" variant="text" @click="deleteItemConfirm">OK</v-btn>
                <v-spacer></v-spacer>
              </v-card-actions>
            </v-card>
          </v-dialog>
        </v-toolbar>
      </template>
      <template v-slot:[`item.actions`]="{ item }">
        <v-icon size="small" color="blue-accent-4" class="me-2" @click="edit(item)">
          mdi-pencil
        </v-icon>
        <v-icon size="small" color="red-accent-4" @click="deleteItem(item)"> mdi-delete </v-icon>
      </template>
    </v-data-table>
  </div>
  <v-dialog v-model="dialogEdit" max-width="500px">
    <v-card>
      <v-card-title>
        <v-icon end icon="mdi-file-document-edit-outline" size="30px"></v-icon
        ><span class="text-h5"> Edit Material </span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field
                  v-model="editedMaterial.name"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="Name"
                ></v-text-field>
              </v-col>

              <v-col cols="6" sm="6">
                <v-text-field
                  v-model="editedMaterial.min"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Field is required']"
                  clearable
                  label="Min"
                  placeholder="Enter your min"
                ></v-text-field>
              </v-col>
              <v-col cols="6" sm="6">
                <v-combobox
                  label="Unit"
                  :items="['Kilogram', 'Gram', 'Liter', 'Milliliter', 'piece']"
                  v-model="editedMaterial.unit"
                  variant="solo-filled"
                ></v-combobox>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="closeDialogEdit"> Close </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="saveEdit()"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Sub Check Dialog -->
  <v-dialog v-model="dialogEditCheck" max-width="500px">
    <v-card>
      <v-card-title>
        <v-icon end icon="mdi-file-document-edit-outline" size="30px"></v-icon
        ><span class="text-h5"> Check Material</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field
                  v-model="editedMaterial.id"
                  readonly
                  clearable
                  label="Material ID"
                ></v-text-field>
                <v-text-field
                  v-model="editedMaterial.name"
                  readonly
                  clearable
                  label="Material Name"
                ></v-text-field>
                <v-text-field
                  v-model="editedMaterial.balance"
                  readonly
                  clearable
                  label="Balance"
                ></v-text-field>
                <p>Check</p>
                <v-text-field
                  v-model="editedMaterial.newbalance"
                  :readonly="loading"
                  style="background-color: rgb(248, 245, 240)"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="Balance Now"
                ></v-text-field>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="closeDialogEditCheck"> Close </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="saveEditCheck()"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Main Check Dialog -->
  <v-dialog v-model="dialogCheckMaterial" max-width="1000px">
    <v-card>
      <v-card-title class="subDialog"
        ><v-icon end icon="mdi-file-document-edit-outline" size="30px"></v-icon> Check
        Material</v-card-title
      >
      <v-data-table
        :headers="headers"
        :items="combinedMaterials"
        :items-per-page="7"
        class="sub-datatable"
      >
        <template v-slot:[`item.actions`]="{ item }">
          <v-icon size="small" class="me-2" @click="CheckItem(item)">mdi-pencil</v-icon>
        </template>
      </v-data-table>
      <v-card-actions style="background-color: rgba(114, 87, 42, 1)">
        <v-spacer></v-spacer>
        <v-btn
          color="white"
          @clicnpk="closeCheckMaterialDialog"
          elevation="4"
          width="200"
          variant="outlined"
          >Close</v-btn
        >
        <!-- Add any other buttons or actions you need for checking material -->
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Main Import Dialog -->
  <v-dialog v-model="dialogImporMaterial" max-width="1000px">
    <v-card style="color: #4b382a">
      <v-card-title class="subDialog"
        ><v-icon end icon="mdi-package-down" size="30px"></v-icon> Import Material</v-card-title
      >
      <v-data-table
        :headers="headers"
        :items="combinedMaterials"
        :items-per-page="7"
        class="sub-datatable"
      >
        <template v-slot:[`item.actions`]="{ item }">
          <v-icon size="small" class="me-2" @click="ImportItem(item)">mdi-pencil</v-icon>
        </template>
      </v-data-table>
      <v-card-actions style="background-color: rgba(114, 87, 42, 1)">
        <v-spacer></v-spacer>
        <v-btn
          color="white"
          @click="closeImporMaterialDialog"
          elevation="4"
          width="200"
          variant="outlined"
          >Close</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Sub Import Dialog -->
  <v-dialog v-model="dialogEditImport" max-width="500px">
    <v-card>
      <v-card-title>
        <v-icon end icon="mdi-package-down" size="30px"></v-icon
        ><span class="text-h5"> Import Stock </span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-text-field
                  v-model="editedMaterial.id"
                  readonly
                  clearable
                  label="Material ID"
                ></v-text-field>
                <v-text-field
                  v-model="editedMaterial.name"
                  readonly
                  clearable
                  label="Material Name"
                ></v-text-field>
                <v-text-field
                  v-model="editedMaterial.balance"
                  readonly
                  clearable
                  label="Balance"
                ></v-text-field>
                <p>Import</p>
                <v-text-field
                  v-model="editedMaterial.newbalance"
                  :readonly="loading"
                  style="background-color: rgb(248, 245, 240)"
                  :rules="[(v) => !!v || 'Field is required']"
                  class="mb-2"
                  clearable
                  label="Import Balance"
                ></v-text-field>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="closeDialogEditImport"> Close </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="saveEditImport()"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Show Low Stock Dialog -->
  <v-dialog v-model="dialogCheckLowMaterial" max-width="1000px">
    <v-card style="background-color: rgb(236, 175, 35)">
      <v-card-title class="showStatusDialog">Low Material</v-card-title>
      <v-data-table
        :headers="headers2"
        :items="lowMaterials"
        :items-per-page="5"
        style="background-color: rgba(255, 245, 212, 1)"
      ></v-data-table>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          @click="closeCheckLowMaterialDialog"
          color="white"
          elevation="4"
          width="200"
          variant="outlined"
          >Close</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Show Available Stock Dialog -->
  <v-dialog v-model="dialogCheckAvaMaterial" max-width="1000px">
    <v-card style="background-color: rgba(113, 175, 124, 1)">
      <v-card-title class="showStatusDialog">Available Material</v-card-title>
      <v-data-table
        :headers="headers2"
        :items="availableMaterials"
        :items-per-page="5"
        style="background-color: rgba(234, 244, 213, 1)"
      ></v-data-table>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          @click="closeCheckAvaMaterialDialog"
          color="white"
          elevation="4"
          width="200"
          variant="outlined"
          >Close</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <!-- Show Out of Stock Dialog -->
  <v-dialog v-model="dialogCheckOutMaterial" max-width="1000px">
    <v-card style="background-color: rgb(208, 90, 90)">
      <v-card-title class="showStatusDialog">Out of Stock Material</v-card-title>
      <v-data-table
        :headers="headers2"
        :items="outMaterials"
        :items-per-page="5"
        style="background-color: rgba(247, 228, 228, 1)"
      ></v-data-table>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          @click="closeCheckOutMaterialDialog"
          color="white"
          elevation="4"
          width="200"
          variant="outlined"
          >Close</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style>
.sub-datatable {
  background-color: rgb(253, 241, 227);
}

.overviewStock {
  font-family: 'Kanit';
  font-size: 55px;
  font-weight: bold;
  color: white;
  text-align: left;
}

.subDialog {
  font-family: 'Kanit';
  font-size: 30px;
  color: white;
  text-align: center;
  background-color: rgba(114, 87, 42, 1);
}

.showStatusDialog {
  font-family: 'Kanit';
  font-size: 30px;
  color: white;
  text-align: center;
}

.app-container {
  position: relative;
  height: 800px;
}

.app-container::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('/cafe.png') no-repeat center center fixed;
  background-size: cover;
  opacity: 0.7;
  z-index: -1;
  /* ตั้งค่า z-index เพื่อให้ pseudo-element อยู่หลัง content ภายใน .app-container */
}
</style>
